/* ============ loader 轉圈圈  ============*/
.loader {
    border: 10px solid #f3f3f3;
    border-radius: 50%;
    border-top: 10px solid #3498db;
    width: 60px;
    height: 60px;
    -webkit-animation: spin 1.5s linear infinite; /* Safari */
    animation: spin 1.5s linear infinite;
}

/* Safari */
@-webkit-keyframes spin {
    0% { -webkit-transform: rotate(0deg); }
    100% { -webkit-transform: rotate(360deg); }
}

@keyframes spin {
    0% { transform: rotate(0deg); }
    100% { transform: rotate(360deg); }
}

/* ============ toast  ============*/
#toast,#toastDialog {
    visibility: hidden;
    margin-left: 0;
    background-color: rgba(0, 128, 0, 0.9);
    color: #fff;
    text-align: center;
    border-radius: 2px;
    padding: 16px;
    position: fixed;
    /*z-index: 39;*/
    z-index: 9999;
    left: 1%;
    top: 30px;
    font-size: 17px;
}

#toast.show {
    visibility: visible;
    /*-webkit-animation: fadein 0.5s, fadeout 0.5s 2.5s;*/
    /*animation: fadein 0.5s, fadeout 0.5s 2.5s;*/
    -webkit-animation: fadein 0.5s, fadeout 0.5s 5.5s;
    animation: fadein 0.5s, fadeout 0.5s 5.5s;
}

#toastDialog.show {
    visibility: visible;
    -webkit-animation: fadein 0.5s, fadeout 0.5s 5.5s;
}

@-webkit-keyframes fadein {
    from {top: 0; opacity: 0;}
    to {top: 30px; opacity: 1;}
}

@keyframes fadein {
    from {top: 0; opacity: 0;}
    to {top: 30px; opacity: 1;}
}

@-webkit-keyframes fadeout {
    from {top: 30px; opacity: 1;}
    to {top: 0; opacity: 0;}
}

@keyframes fadeout {
    from {top: 30px; opacity: 1;}
    to {top: 0; opacity: 0;}
}
/* ============= customConfirmDialog ============ */
#customConfirm {
    display: none;
    z-index: 999;
    position: fixed;
    top: 0;
    left: 0;
    width: 100%;
    height: 100%;
    overflow: hidden;
    /*background-color: transparent;*/
    background-color: rgba(180,180,180,0.5);
}

#customConfirmDialog {
    width: 350px;
    /*height: 110px;*/
    height: 160px;
    border-radius: 8px;
    box-shadow: 0 2px 4px 0 rgba(0, 0, 0, 0.5);
    border: solid 1px #979797;
    background-color: #ffffff;
    position: absolute;
    left: calc((100% - 300px) / 2);
    top: calc((100% - 110px) / 2);
}

#customConfirmContent {
    width: calc(100% - 30px);
    height: calc(100% - 60px);
    margin: 10px 15px 10px 15px;
    font-family: Arial, 微軟正黑體, serif;
    font-size: 15px;
    font-weight: 600;
    font-stretch: normal;
    font-style: normal;
    line-height: normal;
    letter-spacing: -0.17px;
    /*color: #6b6b6b;*/
    color: #747474;
    text-align: left;
}

#customConfirm button {
    font-family: Arial, 微軟正黑體, serif;
    font-size: 15px;
    font-weight: 600;
    font-stretch: normal;
    font-style: normal;
    line-height: normal;
    letter-spacing: -0.17px;
    border: none;
    height: 30px;
    border-radius: 5px;
    width: calc(100%/3 - 5px);
    color: white;
}

#customConfirmLeft {
    background-color: #4A4A4A;
    cursor: pointer;
}

#customConfirmMiddle {
    display: none;
    background-color: #fe5267;
    cursor: pointer;
}

#customConfirmRight {
    background-color: #008D42;
    cursor: pointer;
}

#customAlertContent {
    margin-left: 15px;
    margin-right: 15px;
    white-space: pre-line;
}

/* ============= other ============ */
/* 讓jquery的tooltip支援換行\n */
.ui-tooltip {
    white-space: pre-line;
    max-width: 400px;
    word-break: break-all;
    color: black;
    background-color: #ffaaaa;
}
/*滑鼠移到上方tr底色變綠*/
/*table tbody tr:hover{*/
/*    background-color: #d8f1bc !important;*/
/*}*/
/*table tbody tr:hover th{*/
/*     background-color: #d8f1bc !important;*/
/*}*/

.test_site{
    position: absolute;
    top: 9vh;
    right: 35px;
    /*top: 0;*/
    /*right: 160px;*/
    z-index: 99;
    font-size: 2.5vh;
    /*font-size: 15px;*/
}

.test_site_main{
    position: absolute;
    top: 0;
    right: 35px;
    /*top: 0;*/
    /*right: 160px;*/
    z-index: 99;
    font-size: 18px;
    /*font-size: 15px;*/
}

@media only screen and (min-width: 800px) {

    .test_site{
        top: 0;
        right: 12vw;
    }
}
@media only screen and (min-width: 1366px) {


    .test_site_main{
        right: 300px;
    }
}